package net.servodata.beei.bt;

import net.servodata.beei.data.Action;
import net.servodata.beei.data.Data;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;

/**
 * @author Servodata a.s. <www.servodata.net>
 */
@Path("/")
public interface SimpleServiceResource extends SimpleService {

	@Consumes("application/json")
	@Override
	@POST
	@Path("start")
	void acceptData(Data data);

	@Consumes("application/json")
	@Path("signal")
	@POST
	@Override
	void process(Action data);
}
